///@desc find idle workers

	show_debug_message("checking for workers");

	alarm[0] = 60; // check every second
	
	if (array_length(workers_list) < workers_max) {
		var _list = ds_list_create();
		// check if we have someone to work
		var npc = undefined;
		var npc_in_radius = collision_circle_list(x, y, idle_radius, obj_npc, false, true, _list, true);
		
		show_debug_message(string("found {0} workers", ds_list_size(_list)));
		
		for(var i = 0, n = ds_list_size(_list); i < n; i++) {
			if (_list[| i].state == npc_state.IDLE) {
				// this one is idle
				npc = _list[| i];
				show_debug_message(string("found idle worker on pos {0} with id {1}", i, real(_list[| i])));
				break;
			}
		}
		ds_list_destroy(_list);
		
		if (npc != undefined) {
			show_debug_message("searching for items");
			var _found = scr_find_items_for_npc(npc);
			if (_found) {
				var i = array_get_index(workers_list, npc.id);
				if (i == -1) {
					array_push(workers_list, npc.id);
				}
			}
		}
		
		
	}