/// @param {Id.Instance} _npc
function scr_find_items_for_npc(_npc) {
	/// @context obj_warehouse
	var _list = ds_list_create();
	var items_in_radius = collision_circle_list(x, y, item_radius, resource_type, false, true, _list, true);
	var _found = false;
	
	show_debug_message(string("found {0} items nearby", ds_list_size(_list)));
		
	for(var i = 0, n = ds_list_size(_list); i < n; i++) {
		if (_list[| i].will_be_gathered == false) {
			// this one is not yet set to gather by anyone
			
			_npc.assignation = id; // assign it to building
			_npc.item = _list[| i]; // set which item to take
			_npc.state = npc_state.GOTO_RES;
			_found = true;
			_list[| i].will_be_gathered = true;
			
			break;
		}
	}
	
	if (!_found) {
		var i = array_get_index(workers_list, _npc.id);
		if (i != -1) {
			array_delete(workers_list, i, 1);
		}
	}
	
	ds_list_destroy(_list);
	
	return _found;
}